class Deck
  attr_accessor :cards
  def initialize
    # init each Card ordered by value
    value = 1
    self.cards = []
    Card::RANKS.each do |rank|
      Card::SUITS.each do |suit|
        self.cards << Card.new(value, rank, suit)
        value += 1
      end
    end
  end
end
